﻿* {
    scrollbar-width: thin;
    scrollbar-color: #888 #f1f1f1;
}

*::-webkit-scrollbar {
    width: 14px;
}

*::-webkit-scrollbar-track {
    background: #f1f1f1;
}

*::-webkit-scrollbar-thumb {
    background-color: #888;
    border-radius: 20px;
    border: 3px solid #f1f1f1;
}

*::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.modal-loading {
    background: url('Images/ajax-loader.gif') center center no-repeat;
}

/*
 * Errores
 */
.field-validation-error {
    color: #f00;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    background-color: #fee;
    border-color: #f00;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}
.input-validation-error:focus {
    border-color: #f00;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}

.validation-summary-errors {
    color: #f00;
    font-weight: bold;
}

.validation-summary-valid {
    display: none;
}

/*
 * General
 */
.clickable {
    cursor: pointer;
}

.panel-heading-color {
    background-color: #fff !important;
}

.panel-footer-color {
    background-color: #fff !important;
}

.thumbnail-60 {
    max-width: 60px;
    max-height: 60px;
}

.thumbnail-80 {
    max-width: 80px;
    max-height: 80px;
}

.thumbnail-100 {
    max-width: 100px;
    max-height: 100px;
}

.thumbnail-120 {
    max-width: 120px;
    max-height: 120px;
}

.thumbnail-150 {
    max-width: 150px;
    max-height: 150px;
}

.thumbnail-150x100 {
    max-width: 150px;
    max-height: 100px;
}

/*
 * Spacing
 */
.m-b-0 {
    margin-bottom: 0 !important;
}

.m-b-10 {
    margin-bottom: 10px;
}

.m-b-15 {
    margin-bottom: 15px;
}

.m-t-5 {
    margin-top: 5px;
}

.m-t-10 {
    margin-top: 10px;
}

.m-t-15 {
    margin-top: 15px;
}

.p-5 {
    padding: 5px;
}

.p-10 {
    padding: 10px;
}

.p-x-10 {
    padding: 0 10px 0 10px;
}

.p-l-5 {
    padding-left: 5px;
}

/*
 * Sizing
 */
.w-5 {
    width: 5%;
}

.w-10 {
    width: 10%;
}

.w-15 {
    width: 15%;
}

.w-20 {
    width: 20%;
}

.w-25 {
    width: 25%;
}

.w-30 {
    width: 30%;
}

.w-35 {
    width: 35%;
}

.w-40 {
    width: 40%;
}

.w-45 {
    width: 45%;
}

.w-50 {
    width: 50%;
}

.w-55 {
    width: 55%;
}

.w-60 {
    width: 60%;
}

.w-65 {
    width: 65%;
}

.w-70 {
    width: 70%;
}

.w-80 {
    width: 80%;
}

.w-90 {
    width: 90%;
}

.w-100 {
    width: 100%;
}

.valign-top {
    vertical-align: top;
}

.valign-middle {
    vertical-align: middle;
}

.valign-bottom {
    vertical-align: bottom;
}

/*
 * PNotify
 */
/*.ui-pnotify {
    top: 25px;
    right: 25px;
}*/

.ui-pnotify.stack-bar-bottom {
    /*right: auto;
    bottom: 0;
    top: auto;
    left: auto;*/
    /*margin-left: 15%;*/
    right: auto;
    bottom: 0;
    top: auto;
    left: auto;
}

/*
 * bootstrap outline buttons
 */
.btn-outline {
    background-color: transparent;
    color: inherit;
    transition: all .5s;
}

.btn-primary.btn-outline {
    color: #428bca;
}

.btn-success.btn-outline {
    color: #5cb85c;
}

.btn-info.btn-outline {
    color: #5bc0de;
}

.btn-warning.btn-outline {
    color: #f0ad4e;
}

.btn-danger.btn-outline {
    color: #d9534f;
}

.btn-primary.btn-outline:hover,
.btn-success.btn-outline:hover,
.btn-info.btn-outline:hover,
.btn-warning.btn-outline:hover,
.btn-danger.btn-outline:hover {
    color: #fff;
}

/*
 * table buttons
 */
.btn-icon {
    display: inline-block;
    font-size: 17px;
    line-height: 20px;
    margin: 0 2px 0 2px;
    text-align: center;
    width: 20px;
    height: 20px;
}

textarea {
    resize: none;
}

/* Bootstrap table */
.table > tbody > tr > td {
    vertical-align: middle;
}

@media (max-width: 767px) {
  .table-responsive .dropdown-menu,
  .table-responsive .dropdown-toggle {
        position: static !important;
  }
}

@media (min-width: 768px) {
    .table-responsive {
        overflow-x: visible;
    }
}

/* Bootstrap panel */
.panel {
    border-radius: 3px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-top: 0;
}

.table-border > div:first-child {
    border-radius: 4px;
    border-top: 3px solid #f4962d;
}

/* Bootstrap pagination */
.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    z-index: 3;
    color: #fff;
    cursor: default;
    background-color: #f4962d;
    border-color: #f4962d;
}

tr.bg-info:hover {
    background-color: #afd9ee !important;
}

/*
 * dropzonejs
 */
#dropzone {
    border: 4px dashed #e3e3e3;
    border-radius: 4px;
    cursor: pointer;
    padding: 20px;
    -webkit-transition: all 0.5s ease-out;
       -moz-transition: all 0.5s ease-out;
        -ms-transition: all 0.5s ease-out;
         -o-transition: all 0.5s ease-out;
            transition: all 0.5s ease-out;
}

.dz-drag-hover {
    background-color: #f4962d;
}

/*
 * modal image
 */
.modal-img {
    cursor: pointer;
    transition: 0.5s;
}

.modal-img:hover {
    opacity: 0.7;
}

.modal-img-container {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 10000; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.6); /* Black w/ opacity */
}

.modal-img-content {
    margin: auto;
    display: block;
    max-width: 90%;
    max-height: 90%;
    animation-name: zoom;
    animation-duration: 0.6s;
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    to {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes zoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

.modal-img-close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.modal-img-close:hover,
.modal-img-close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/*
 * Plugin: Full Calendar
 */
.fc-widget-header:first-of-type,
.fc-widget-content:first-of-type {
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
}
.fc-widget-header:last-of-type,
.fc-widget-content:last-of-type {
  border-right: 1px solid #ddd;
}
.fc-toolbar {
    margin: 0;
    padding: 0;
}

/* select2 */
.select2-search--inline .select2-search__field:focus {
    border: 0;
    outline: none;
}

/* bootstrap table aggregates */
.table > tbody > tr > .first-row {
    border-top: 3px solid;
    border-right: none;
    border-bottom: none;
    border-left: none;
}

.table > tbody > tr > .normal-row {
    border: none;
}

.table > tfoot > tr > .first-row {
    border-top: 3px solid;
    border-right: none;
    border-bottom: none;
    border-left: none;
}

.table > tfoot > tr > .normal-row {
    border: none;
}

.modal-header {
    border-top: 3px solid #f4962d;
}

.modal-title {
    font-size: 17px;
}

/* loader */
.loader {
    border: 3px solid #f3f3f3;
    border-top: 3px solid #f4962d;
    border-radius: 50%;
    width: 26px;
    height: 26px;
    left: 50%;
    position: relative;
    margin-left: -13px;
    -webkit-animation: spin 1.3s linear infinite;
    animation: spin 1.3s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* bootstrap datetimepicker */
.bootstrap-datetimepicker-widget table td.today:before {
    border-bottom-color: #f4962d;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background-color: #f4962d;
}

.bootstrap-datetimepicker-widget table td span.active {
    background-color: #f4962d;
}

/* pace */
.skin-black .pace .pace-progress {
    background: #f4962d;
}

.skin-black .pace .pace-activity {
    border-top-color: #f4962d;
    border-left-color: #f4962d;
}

.customer-register-page .pace .pace-progress {
    background: #f4962d;
}

.customer-register-page .pace .pace-activity {
    border-top-color: #f4962d;
    border-left-color: #f4962d;
}

/* buttons (not getting AdminLTE styles) */
.btn-primary:focus,
.btn-primary.focus {
    background-color: #ff7702; /* less darken 10% */
    border-color: #d66300; /* less darken 25% */
}
.btn-primary:hover,
.btn-primary:active,
.btn-primary.active {
    background-color: #ff7702; /* less darken 10% */
    border-color: #fb7400; /* less darken 12% */
}
.btn-primary:active:hover,
.btn-primary:active:focus,
.btn-primary.active.focus {
    background-color: #ed6e00; /* less darken 17% */
    border-color: #d66300; /* less darken 25% */
}
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
.btn-primary.disabled.focus,
.btn-primary[disabled].focus {
    background-color: #f4962d;
    border-color: #ff7905;
}

.btn-success:focus,
.btn-success.focus {
    background-color: #7f9503; /* less darken 10% */
    border-color: #6a7c03; /* less darken 25% */
}
.btn-success:hover,
.btn-success:active,
.btn-success.active {
    background-color: #7f9503; /* less darken 10% */
    border-color: #7c9203; /* less darken 12% */
}
.btn-success:active:hover,
.btn-success:active:focus,
.btn-success.active.focus {
    background-color: #758903; /* less darken 17% */
    border-color: #6a7c03; /* less darken 25% */
}
.btn-success.disabled:hover,
.btn-success[disabled]:hover,
.btn-success.disabled:focus,
.btn-success[disabled]:focus,
.btn-success.disabled.focus,
.btn-success[disabled].focus {
    background-color: #8ea604;
    border-color: #798d03;
}

.btn-info:focus,
.btn-info.focus {
    background-color: #3c7287; /* less darken 10% */
    border-color: #325f71; /* less darken 25% */
}
.btn-info:hover,
.btn-info:active,
.btn-info.active {
    background-color: #3c7287; /* less darken 10% */
    border-color: #3a6f84; /* less darken 12% */
}
.btn-info:active:hover,
.btn-info:active:focus,
.btn-info.active.focus {
    background-color: #37697d; /* less darken 17% */
    border-color: #325f71; /* less darken 25% */
}
.btn-info.disabled:hover,
.btn-info[disabled]:hover,
.btn-info.disabled:focus,
.btn-info[disabled]:focus,
.btn-info.disabled.focus,
.btn-info[disabled].focus {
    background-color: #437f97;
    border-color: #3b7085;
}

.btn-danger:focus,
.btn-danger.focus {
    background-color: #ae0012; /* less darken 10% */
    border-color: #91000f; /* less darken 25% */
}
.btn-danger:hover,
.btn-danger:active,
.btn-danger.active {
    background-color: #ae0012; /* less darken 10% */
    border-color: #aa0011; /* less darken 12% */
}
.btn-danger:active:hover,
.btn-danger:active:focus,
.btn-danger.active.focus {
    background-color: #a10010; /* less darken 17% */
    border-color: #91000f; /* less darken 25% */
}
.btn-danger.disabled:hover,
.btn-danger[disabled]:hover,
.btn-danger.disabled:focus,
.btn-danger[disabled]:focus,
.btn-danger.disabled.focus,
.btn-danger[disabled].focus {
    background-color: #c20114;
    border-color: #a90111;
}

.btn-warning:focus,
.btn-warning.focus {
    background-color: #efcd18; /* less darken 10% */
    border-color: #cdaf0e; /* less darken 25% */
}
.btn-warning:hover,
.btn-warning:active,
.btn-warning.active {
    background-color: #efcd18; /* less darken 10% */
    border-color: #eecb13; /* less darken 12% */
}
.btn-warning:active:hover,
.btn-warning:active:focus,
.btn-warning.active.focus {
    background-color: #e3c10f; /* less darken 17% */
    border-color: #cdaf0e; /* less darken 25% */
}
.btn-warning.disabled:hover,
.btn-warning[disabled]:hover,
.btn-warning.disabled:focus,
.btn-warning[disabled]:focus,
.btn-warning.disabled.focus,
.btn-warning[disabled].focus {
    background-color: #f1d334;
    border-color: #efce1c;
}

.btn-default.disabled:hover,
.btn-default[disabled]:hover,
.btn-default.disabled:focus,
.btn-default[disabled]:focus,
.btn-default.disabled.focus,
.btn-default[disabled].focus {
    background-color: #f4f4f4;
    border-color: #ddd;
}
/*
 * Wizard steps
 */
.w-steps {
    border: 1px #ddd solid;
    border-radius: 4px;
    margin-bottom: 20px;
    padding: 15px 15px 15px 15px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

.w-step-icon {
    display: inline-block;
    width: 30px;
    height: 30px;
    margin-bottom: 5px;
    font-size: 14px;
    line-height: 30px;
    border-radius: 50%;
}

.w-step-active,
.w-step-active:hover {
    background: #f4962d;
    color: #fff;
}

.w-step-icon-active {
    background: #fff;
    color: #f4962d;
}

.w-step-icon-disabled {
    background: #777;
    color: #fff;
}

.w-step-icon-completed {
    background: #7f9503;
    color: #fff;
}

.text-word-wrap {
    word-wrap: break-word;
}

.customer-register-page {
    background: #d2d6de;
}

.page-divider {
    border-bottom: 1px solid #eee;
    margin-bottom: 15px;
}

/* table colors */
.table > thead > tr > td.success,
.table > tbody > tr > td.success,
.table > tfoot > tr > td.success,
.table > thead > tr > th.success,
.table > tbody > tr > th.success,
.table > tfoot > tr > th.success,
.table > thead > tr.success > td,
.table > tbody > tr.success > td,
.table > tfoot > tr.success > td,
.table > thead > tr.success > th,
.table > tbody > tr.success > th,
.table > tfoot > tr.success > th {
    background-color: #f3fdb7;
}

.table-hover > tbody > tr > td.success:hover,
.table-hover > tbody > tr > th.success:hover,
.table-hover > tbody > tr.success:hover > td,
.table-hover > tbody > tr:hover > .success,
.table-hover > tbody > tr.success:hover > th {
    background-color: #edfc93;
}

.table > thead > tr > td.danger,
.table > tbody > tr > td.danger,
.table > tfoot > tr > td.danger,
.table > thead > tr > th.danger,
.table > tbody > tr > th.danger,
.table > tfoot > tr > th.danger,
.table > thead > tr.danger > td,
.table > tbody > tr.danger > td,
.table > tfoot > tr.danger > td,
.table > thead > tr.danger > th,
.table > tbody > tr.danger > th,
.table > tfoot > tr.danger > th {
    background-color: #fedce0;
}

.table-hover > tbody > tr > td.danger:hover,
.table-hover > tbody > tr > th.danger:hover,
.table-hover > tbody > tr.danger:hover > td,
.table-hover > tbody > tr:hover > .danger,
.table-hover > tbody > tr.danger:hover > th {
    background-color: #febac1;
}

.ta-button {
    background-color: #f4f4f4 !important;
    border-color: #ddd !important;
    color: #444 !important;
}

.ta-button:hover {
    background-color: #e6e6e6 !important;
    border-color: #8c8c8c !important;
}

.ta-button[disabled] {
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
}

.text-white {
    color: #fff !important;
}
